Index: cpukit/sapi/include/rtems/config.h
===================================================================
--- cpukit/sapi/include/rtems/config.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/config.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,4 +1,4 @@
 /**
- * @file rtems/config.h
+ * @file
  *
  * @brief Table of User Defined Configuration Parameters
@@ -80,7 +80,8 @@
   uint32_t            maximum_proxies;
 
-  /** The MPCI Receive server is assumed to have a stack of at least
-   *  minimum stack size.  This field specifies the amount of extra
-   *  stack this task will be given in bytes.
+  /** 
+   * The MPCI Receive server is assumed to have a stack of at least
+   * minimum stack size.  This field specifies the amount of extra
+   * stack this task will be given in bytes.
    */
   uint32_t            extra_mpci_receive_server_stack;
@@ -94,5 +95,5 @@
  * @brief Task stack allocator initialization hook.
  *
- * @param[in] stack_space_size Size of the stack space in bytes.
+ * @param[in] stack_space_size is the size of the stack space in bytes.
  */
 typedef void (*rtems_stack_allocate_init_hook)( size_t stack_space_size );
@@ -101,5 +102,5 @@
  * @brief Task stack allocator hook.
  *
- * @param[in] stack_size Size of the task stack in bytes.
+ * @param[in] stack_size is the Size of the task stack in bytes.
  *
  * @retval NULL Not enough memory.
@@ -111,5 +112,5 @@
  * @brief Task stack deallocator hook.
  *
- * @param[in] addr Pointer to previously allocated task stack.
+ * @param[in] addr is a pointer to previously allocated task stack.
  */
 typedef void (*rtems_stack_free_hook)( void *addr );
@@ -127,47 +128,56 @@
  */
 typedef struct {
-  /** This field specifies the size in bytes of the RTEMS Workspace.
+  /**
+   * This field specifies the size in bytes of the RTEMS Workspace.
    */
   uintptr_t                      work_space_size;
 
-  /** This field specifies the size in bytes of the RTEMS thread stack space.
+  /**
+   * This field specifies the size in bytes of the RTEMS thread stack space.
    */
   uintptr_t                      stack_space_size;
 
-  /** This field specifies the maximum number of dynamically installed
-   *  used extensions.
+  /** 
+   * This field specifies the maximum number of dynamically installed
+   * used extensions.
    */
   uint32_t                       maximum_extensions;
 
-  /** This field specifies the number of microseconds which elapse
-   *  between clock ticks.  This is the basis for RTEMS timing.
+  /** 
+   * This field specifies the number of microseconds which elapse
+   * between clock ticks.  This is the basis for RTEMS timing.
    */
   uint32_t                       microseconds_per_tick;
 
-  /** This field specifies the number of nanoseconds which elapse
-   *  between clock ticks.  This value is derived from the
-   *  microseconds_per_tick field and provided to avoid calculation at
-   *  run-time.
+  /** 
+   * This field specifies the number of nanoseconds which elapse
+   * between clock ticks.  This value is derived from the
+   * microseconds_per_tick field and provided to avoid calculation at
+   * run-time.
    */
   uint32_t                       nanoseconds_per_tick;
 
-  /** This field specifies the number of ticks in each task's timeslice.
+  /** 
+   * This field specifies the number of ticks in each task's timeslice.
    */
   uint32_t                       ticks_per_timeslice;
 
-  /** This element points to the BSP's optional idle task which may override
-   *  the default one provided with RTEMS.
+  /** 
+   * This element points to the BSP's optional idle task which may override
+   * the default one provided with RTEMS.
    */
   Thread                       (*idle_task)( uintptr_t );
 
-  /** This field specifies the size of the IDLE task's stack.  If less than or
-   *  equal to the minimum stack size, then the IDLE task will have the minimum
-   *  stack size.
+  /** 
+   * This field specifies the size of the IDLE task's stack.  If less than or
+   * equal to the minimum stack size, then the IDLE task will have the minimum
+   * stack size.
    */
   uint32_t                       idle_task_stack_size;
 
-  /** This field specifies the size of the interrupt stack.  If less than or
-   *  equal to the minimum stack size, then the interrupt stack will be of
-   *  minimum stack size.
+  /** 
+   * This field specifies the size of the interrupt stack.  If less than or
+   * equal to the minimum stack size, then the interrupt stack will be of
+   * minimum stack size.
    */
   uint32_t                       interrupt_stack_size;
@@ -188,8 +198,9 @@
   rtems_stack_free_hook          stack_free_hook;
 
-  /** If this element is TRUE, then RTEMS will zero the Executive Workspace.
-   *  When this element is FALSE, it is assumed that the BSP or invoking
-   *  environment has ensured that memory was cleared before RTEMS was
-   *  invoked.
+  /** 
+   * If this element is TRUE, then RTEMS will zero the Executive Workspace.
+   * When this element is FALSE, it is assumed that the BSP or invoking
+   * environment has ensured that memory was cleared before RTEMS was
+   * invoked.
    */
   bool                           do_zero_of_workspace;
@@ -223,5 +234,5 @@
 
 /**
- *   This is the configuration table generated by confdefs.h.
+ * This is the configuration table generated by confdefs.h.
  */
 extern const rtems_configuration_table Configuration;
@@ -229,5 +240,5 @@
 #if defined(RTEMS_MULTIPROCESSING)
   /**
-   *   This points to the multiprocessing configuration table.
+   *  This points to the multiprocessing configuration table.
    */
   SAPI_EXTERN rtems_multiprocessing_table  *_Configuration_MP_table;
@@ -236,8 +247,8 @@
 #if defined(RTEMS_MULTIPROCESSING)
   /**
-   *  @brief RTEMS Multiprocessing Configuration Table
+   * @brief RTEMS multiprocessing configuration table.
    *
-   *  This is the RTEMS Multiprocessing Configuration Table expected to
-   *  be generated by confdefs.h.
+   * This is the RTEMS Multiprocessing Configuration Table expected to
+   * be generated by confdefs.h.
    */
   extern rtems_multiprocessing_table  Multiprocessing_configuration;
@@ -295,5 +306,5 @@
         (Configuration.stack_free_hook)
 
-/**
+ /**
   * This macro assists in accessing the field which indicates whether
   * RTEMS is responsible for zeroing the Executive Workspace.
Index: cpukit/sapi/include/rtems/extension.h
===================================================================
--- cpukit/sapi/include/rtems/extension.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/extension.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,7 +1,5 @@
 /**
  * @file
- *
- * @ingroup ClassicUserExtensions
- *
+ * 
  * @brief User Extensions API.
  */
@@ -40,5 +38,5 @@
 
 /**
- *  @brief Initialize Extension Manager
+ *  @brief Initialize extension manager.
  *
  *  This routine initializes all extension manager related data structures.
Index: cpukit/sapi/include/rtems/fatal.h
===================================================================
--- cpukit/sapi/include/rtems/fatal.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/fatal.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,6 +1,4 @@
 /**
  * @file
- *
- * @ingroup ClassicFatal
  *
  * @brief Fatal API.
@@ -43,7 +41,7 @@
 
 /**
- *  @brief Prints the exception frame via printk().
+ * @brief Prints the exception frame via printk().
  *
- *  @see rtems_fatal() and RTEMS_FATAL_SOURCE_EXCEPTION.
+ * @see rtems_fatal() and RTEMS_FATAL_SOURCE_EXCEPTION.
  */
 static inline void rtems_exception_frame_print(
@@ -58,7 +56,5 @@
  * INTERNAL_ERROR_RTEMS_API and is internal set to false.
  *
- * @param[in] the_error A 32-bit fatal error code.
- *
- * @return This function will not return.
+ * @param[in] the_error is a 32-bit fatal error code.
  *
  * @see _Internal_error_Occurred().
@@ -71,8 +67,6 @@
  * @brief Invokes the internal error handler with is internal set to false.
  *
- * @param[in] source The fatal source.
- * @param[in] error The fatal code.
- *
- * @return This function will not return.
+ * @param[in] source is the fatal source.
+ * @param[in] error is the fatal code.
  *
  * @see _Internal_error_Occurred().
@@ -86,8 +80,8 @@
  * @brief Returns a description for a fatal source.
  *
- * @param[in] source The fatal source.
+ * @param[in] source is the fatal source.
  *
- * @return The fatal source description or "?" in case the passed fatal source
- * is invalid.
+ * @retval description The fatal source description.
+ * @retval ? The passed fatal source is invalid.
  */
 const char *rtems_fatal_source_description( rtems_fatal_source source );
@@ -96,8 +90,8 @@
  * @brief Returns a description for an internal error code.
  *
- * @param[in] error The error code.
+ * @param[in] error is the error code.
  *
- * @return The error code description or "?" in case the passed error code is
- * invalid.
+ * @retval description The error code description.
+ * @retval ? The passed error code is invalid.
  */
 const char *rtems_internal_error_description( rtems_fatal_code error );
Index: cpukit/sapi/include/rtems/init.h
===================================================================
--- cpukit/sapi/include/rtems/init.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/init.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,18 +1,18 @@
 /**
- * @file rtems/init.h
+ * @file
  *
  * @brief Constants and Structures Associated
  * with the Initialization Manager
  *
- *  This include file contains all the constants and structures associated
- *  with the Initialization Manager.  This manager is responsible for
- *  initializing RTEMS, creating and starting all configured initialization
- *  tasks, invoking the initialization routine for each user-supplied device
- *  driver, and initializing the optional multiprocessor layer.
+ * This include file contains all the constants and structures associated
+ * with the Initialization Manager.  This manager is responsible for
+ * initializing RTEMS, creating and starting all configured initialization
+ * tasks, invoking the initialization routine for each user-supplied device
+ * driver, and initializing the optional multiprocessor layer.
  *
- *  This manager provides directives to:
+ * This manager provides directives to:
  *
- *     + initialize the RTEMS executive
- *     + shutdown the RTEMS executive
+ *    + initialize the RTEMS executive
+ *    + shutdown the RTEMS executive
  */
 
@@ -39,6 +39,6 @@
 #if defined(RTEMS_MULTIPROCESSING)
 /**
- *  The following defines the default Multiprocessing Configuration
- *  Table.  This table is used in a single processor system.
+ * The following defines the default Multiprocessing Configuration
+ * Table.  This table is used in a single processor system.
  */
 extern const rtems_multiprocessing_table
@@ -47,42 +47,42 @@
 
 /**
- *  @brief rtems_initialize_data_structures
+ * @brief RTEMS data structures initialization.
  *
- *  This routine implements the portion of the RTEMS initializatin process
- *  that involves initializing data structures to a state that scheduling
- *  can occur in a consistent manner.
+ * This routine implements the portion of the RTEMS initializatin process
+ * that involves initializing data structures to a state that scheduling
+ * can occur in a consistent manner.
  */
 void rtems_initialize_data_structures(void);
 
 /**
- *  @brief rtems_initialize_before_drivers
+ * @brief RTEMS initialization before the device drivers are initialized.
  *
- *  This routine implements the portion of RTEMS initialization that
- *  is done immediately before device drivers are initialized.
+ * This routine implements the portion of RTEMS initialization that
+ * is done immediately before device drivers are initialized.
  */
 void rtems_initialize_before_drivers(void);
 
 /**
- *  @brief rtems_initialize_device_drivers
+ * @brief RTEMS initialization that initializes all device drivers.
  *
- *  This routine implements the portion of RTEMS initialization that
- *  initializes all device drivers.
+ * This routine implements the portion of RTEMS initialization that
+ * initializes all device drivers.
  */
 void rtems_initialize_device_drivers(void);
 
 /**
- *  @brief Starts the multitasking.
+ * @brief Starts the multitasking.
  *
- *  This directive initiates multitasking and performs a context switch to the
- *  first user application task and may enable interrupts as a side-effect of
- *  that context switch.  The context switch saves the executing context.  The
- *  application runs now.  The directive rtems_shutdown_executive() will return
- *  to the saved context.  The exit() function will use this directive.
+ * This directive initiates multitasking and performs a context switch to the
+ * first user application task and may enable interrupts as a side-effect of
+ * that context switch.  The context switch saves the executing context.  The
+ * application runs now.  The directive rtems_shutdown_executive() will return
+ * to the saved context.  The exit() function will use this directive.
  *
- *  After a return to the saved context a fatal system state is reached.  The
- *  fatal source is RTEMS_FATAL_SOURCE_EXIT with a fatal code set to the value
- *  passed to rtems_shutdown_executive().
+ * After a return to the saved context a fatal system state is reached.  The
+ * fatal source is RTEMS_FATAL_SOURCE_EXIT with a fatal code set to the value
+ * passed to rtems_shutdown_executive().
  *
- *  This directive does not return.
+ * This directive does not return.
  */
 void rtems_initialize_start_multitasking(void)
@@ -90,11 +90,11 @@
 
 /**
- *  @brief Shutdown the RTEMS environment
+ * @brief Shutdown the RTEMS environment.
  *
- *  This routine implements the rtems_shutdown_executive directive.  The
- *  invocation of this directive results in the RTEMS environment being
- *  shutdown and multitasking halted.  From the application's perspective,
- *  invocation of this directive results in the rtems_initialize_executive
- *  directive exitting to the startup code which invoked it.
+ * This routine implements the rtems_shutdown_executive directive.  The
+ * invocation of this directive results in the RTEMS environment being
+ * shutdown and multitasking halted.  From the application's perspective,
+ * invocation of this directive results in the rtems_initialize_executive
+ * directive exitting to the startup code which invoked it.
  */
 void rtems_shutdown_executive(
Index: cpukit/sapi/include/rtems/io.h
===================================================================
--- cpukit/sapi/include/rtems/io.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/io.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -102,11 +102,11 @@
 
 /**
- *  @brief Unregister a Driver from the Device Driver Table.
- *
- *  @param[in] major is the device major number.
- *
- *  @retval RTEMS_SUCCESSFUL Device driver successfully unregistered.
- *  @retval RTEMS_UNSATISFIED Invalid major number.
- *  @retval RTEMS_CALLED_FROM_ISR Called from interrupt context.
+ * @brief Unregister a driver from the device driver table.
+ *
+ * @param[in] major is the device major number.
+ *
+ * @retval RTEMS_SUCCESSFUL Device driver successfully unregistered.
+ * @retval RTEMS_UNSATISFIED Invalid major number.
+ * @retval RTEMS_CALLED_FROM_ISR Called from interrupt context.
  */
 rtems_status_code rtems_io_unregister_driver(
@@ -132,13 +132,13 @@
 
 /**
- *  @brief IO Driver Initialization
- *
- *  This routine is the initialization directive of the IO manager.
- *
- *  @param[in] major is the device drive number
- *  @param[in] minor is the device number
- *  @param[in] argument is the pointer to the argument(s)
- *
- *  @return status code
+ * @brief IO driver initialization.
+ *
+ * This routine is the initialization directive of the IO manager.
+ *
+ * @param[in] major is the device drive number
+ * @param[in] minor is the device number
+ * @param[in] argument is the pointer to the argument(s)
+ *
+ * @return status code
  */
 rtems_status_code rtems_io_initialize(
@@ -149,13 +149,13 @@
 
 /**
- *  @brief Opening for The IO Manager
- *  
- *  Opens a device driver with the number @a major.
- *
- *  @param[in] major is the device driver number.
- *  @param[in] minor is the device number.
- *  @param[in] argument is the pointer to the argument(s).
- *
- *  @return Status code.
+ * @brief Opening for the IO manager.
+ *  
+ * Opens a device driver with the number @a major.
+ *
+ * @param[in] major is the device driver number.
+ * @param[in] minor is the device number.
+ * @param[in] argument is the pointer to the argument(s).
+ *
+ * @return Status code.
  */
 rtems_status_code rtems_io_open(
@@ -166,13 +166,13 @@
 
 /**
- *  @brief Closing for The IO Manager
- *  
- *  This routine is the close directive of the IO manager.
- *
- *  @param[in] major is the device driver number.
- *  @param[in] minor is the device number.
- *  @param[in] argument is the pointer to the argument(s).
- *
- *  @return Status code.
+ * @brief Closing for the IO manager.
+ *  
+ * This routine is the close directive of the IO manager.
+ *
+ * @param[in] major is the device driver number.
+ * @param[in] minor is the device number.
+ * @param[in] argument is the pointer to the argument(s).
+ *
+ * @return Status code.
  */
 rtems_status_code rtems_io_close(
@@ -183,13 +183,13 @@
 
 /**
- *  @brief Reading for The IO Manager
- *  
- *  This routine is the read directive of the IO manager.
- *
- *  @param[in] major is the device driver number.
- *  @param[in] minor is the device number.
- *  @param[in] argument is the pointer to the argument(s).
- *
- *  @return Status code.
+ * @brief Reading for the IO manager.
+ *  
+ * This routine is the read directive of the IO manager.
+ *
+ * @param[in] major is the device driver number.
+ * @param[in] minor is the device number.
+ * @param[in] argument is the pointer to the argument(s).
+ *
+ * @return Status code.
  */
 rtems_status_code rtems_io_read(
@@ -200,13 +200,13 @@
 
 /**
- *  @brief Writing for The IO Manager
- *  
- *  This routine is the write directive of the IO manager.
- *
- *  @param[in] major is the device driver number.
- *  @param[in] minor is the device number.
- *  @param[in] argument is the pointer to the argument(s).
- *
- *  @return Status code.
+ * @brief Writing for the IO manager.
+ *  
+ * This routine is the write directive of the IO manager.
+ *
+ * @param[in] major is the device driver number.
+ * @param[in] minor is the device number.
+ * @param[in] argument is the pointer to the argument(s).
+ *
+ * @return Status code.
  */
 rtems_status_code rtems_io_write(
@@ -217,13 +217,13 @@
 
 /**
- *  @brief Control for The IO Manager
- *  
- *  This routine is the control directive of the IO manager.
- *
- *  @param[in] major is the device driver number.
- *  @param[in] minor is the device number.
- *  @param[in] argument is the pointer to the argument(s).
- *
- *  @return Status code.
+ * @brief Control for the IO manager.
+ *  
+ * This routine is the control directive of the IO manager.
+ *
+ * @param[in] major is the device driver number.
+ * @param[in] minor is the device number.
+ * @param[in] argument is the pointer to the argument(s).
+ *
+ * @return Status code.
  */
 rtems_status_code rtems_io_control(
@@ -257,16 +257,16 @@
 
 /**
- *  @brief Initialization of Device Drivers
- *
- *  @note The IO manager has been extended to support runtime driver
- *  registration. The driver table is now allocated in the
- *  workspace.
+ * @brief Initialization of device drivers.
+ *
+ * NOTE: The IO manager has been extended to support runtime driver
+ * registration. The driver table is now allocated in the
+ * workspace.
  */
 void _IO_Manager_initialization( void );
 
 /**
- *  @brief Initialization of All Device Drivers
- *
- *  Initializes all device drivers.
+ * @brief Initialization of all device drivers.
+ *
+ * Initializes all device drivers.
  */
 void _IO_Initialize_all_drivers( void );
Index: cpukit/sapi/include/rtems/mptables.h
===================================================================
--- cpukit/sapi/include/rtems/mptables.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/mptables.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,4 +1,4 @@
 /**
- * @file rtems/mptables.h
+ * @file
  *
  * @brief Executive's Pre-Initialized Tables used in a
Index: cpukit/sapi/include/rtems/rbheap.h
===================================================================
--- cpukit/sapi/include/rtems/rbheap.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/rbheap.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -3,6 +3,4 @@
  *
  * @brief Red-Black Tree Heap API
- *
- * @ingroup RBHeap
  */
 
@@ -35,5 +33,5 @@
  * @defgroup RBHeap Red-Black Tree Heap
  *
- * @brief Red-Black Tree Heap API.
+ * @brief Red-Black Tree Heap API
  *
  * The red-black tree heap provides a memory allocator suitable to implement
@@ -147,11 +145,11 @@
  * @brief Initializes the red-black tree heap @a control.
  *
- * @param[in, out] control The red-black tree heap.
- * @param[in] area_begin The managed memory area begin.
- * @param[in] area_size The managed memory area size.
- * @param[in] alignment The minimum chunk alignment.
- * @param[in] extend_descriptors The handler to extend the available chunk
+ * @param[in, out] control is the red-black tree heap.
+ * @param[in] area_begin is the managed memory area begin.
+ * @param[in] area_size is the managed memory area size.
+ * @param[in] alignment is the minimum chunk alignment.
+ * @param[in] extend_descriptors is the handler to extend the available chunk
  * descriptors.
- * @param[in] handler_arg The handler argument.
+ * @param[in] handler_arg is the handler argument.
  *
  * @retval RTEMS_SUCCESSFUL Successful operation.
@@ -176,6 +174,6 @@
  * rtems_rbheap_initialize().
  *
- * @param[in, out] control The red-black tree heap.
- * @param[in] size The requested chunk size in bytes.
+ * @param[in, out] control is the red-black tree heap.
+ * @param[in] size is the requested chunk size in bytes.
  *
  * @retval NULL Not enough free space in the heap.
@@ -185,14 +183,15 @@
 
 /**
- * @brief Frees a chunk of memory @a ptr allocated from the red-black tree heap
- * @a control.
- *
- * @param[in, out] control The red-black tree heap.
- * @param[in] ptr The pointer to the chunk of memory.
+ * @brief Frees a chunk of memory @a ptr allocated from the red-black 
+ * tree heap @a control.
+ *
+ * @param[in, out] control is the red-black tree heap.
+ * @param[in] ptr is a pointer to the chunk of memory.
  *
  * @retval RTEMS_SUCCESSFUL Successful operation.
  * @retval RTEMS_INVALID_ID The chunk of memory is not a valid chunk in the
  * red-black tree heap.
- * @retval RTEMS_INCORRECT_STATE The chunk of memory is not in the right state.
+ * @retval RTEMS_INCORRECT_STATE The chunk of memory is not in the 
+ * right state.
  */
 rtems_status_code rtems_rbheap_free(rtems_rbheap_control *control, void *ptr);
Index: cpukit/sapi/include/rtems/rbtree.h
===================================================================
--- cpukit/sapi/include/rtems/rbtree.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/rbtree.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,10 +1,11 @@
 /**
- * @file rtems/rbtree.h
- *
- *  This include file contains all the constants and structures associated
- *  with the RBTree API in RTEMS. The rbtree is a Red Black Tree that
- *  is part of the Super Core. This is the published interface to that
- *  code.
- *
+ * @file
+ * 
+ * @brief Constants and Structures Associated with the RBTree API in RTEMS
+ * 
+ * This include file contains all the constants and structures associated
+ * with the RBTree API in RTEMS. The rbtree is a Red Black Tree that
+ * is part of the Super Core. This is the published interface to that
+ * code.
  */
 
@@ -51,5 +52,5 @@
 
 /**
- *  @brief RBTree initializer for an empty rbtree with designator @a name.
+ * @brief RBTree initializer for an empty rbtree with designator @a name.
  */
 #define RTEMS_RBTREE_INITIALIZER_EMPTY(name) \
@@ -57,5 +58,5 @@
 
 /**
- *  @brief RBTree definition for an empty rbtree with designator @a name.
+ * @brief RBTree definition for an empty rbtree with designator @a name.
  */
 #define RTEMS_RBTREE_DEFINE_EMPTY(name) \
Index: cpukit/sapi/include/rtems/sptables.h
===================================================================
--- cpukit/sapi/include/rtems/sptables.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/sptables.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,7 +1,9 @@
 /**
- * @file rtems/sptables.h
+ * @file
+ * 
+ * @brief Pre-Initialized Tables Used when in a Single Processor Configuration
  *
- *  This include file contains the executive's pre-initialized tables
- *  used when in a single processor configuration.
+ * This include file contains the executive's pre-initialized tables
+ * used when in a single processor configuration.
  */
 
Index: cpukit/sapi/include/rtems/timespec.h
===================================================================
--- cpukit/sapi/include/rtems/timespec.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/timespec.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -27,7 +27,8 @@
  *
  *  @brief Timespec API
+ * 
+ * @{
  *
  */
-/**@{*/
 
 #include <stdbool.h> /* bool */
@@ -41,10 +42,10 @@
 #include <rtems/timespec.inl>
 
+/** @} */
+
 #ifdef __cplusplus
 }
 #endif
 
-/**@}*/
-
 #endif
 /* end of include file */
Index: cpukit/sapi/inline/rtems/cbs.inl
===================================================================
--- cpukit/sapi/inline/rtems/cbs.inl	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/inline/rtems/cbs.inl	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,7 +1,9 @@
 /**
- * @file cbs.inl
- *
- *  This include file contains all the constants and structures associated
- *  with the CBS library.
+ * @file
+ * 
+ * @brief Constants and Structures Associated with the CBS Library
+ * 
+ * This include file contains all the constants and structures associated
+ * with the CBS library.
  *
  */
@@ -23,9 +25,9 @@
 
 /**
- *  @brief rtems cbs init
- *
- *  Initializes the CBS library.
- *
- *  @return status code.
+ * @brief Initialize the CBS library.
+ *
+ * Initializes the CBS library.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_initialize ( void )
@@ -35,9 +37,9 @@
 
 /**
- *  @brief rtems cbs cleanup
- *
- *  Cleanup resources associated to the CBS Library.
- *
- *  @return status code.
+ * @brief Cleanup resources associated to the CBS Library
+ *
+ * Cleanup resources associated to the CBS Library.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_cleanup ( void )
@@ -47,9 +49,9 @@
 
 /**
- *  @brief rtems cbs create server
- *
- *  Create a new server with specified parameters.
- *
- *  @return status code.
+ * @brief Create a new server with specified parameters.
+ *
+ * Create a new server with specified parameters.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_create_server (
@@ -67,9 +69,9 @@
 
 /**
- *  @brief rtems cbs attach thread
- *
- *  Attach a task to an already existing server.
- *
- *  @return status code.
+ * @brief Attach a task to an already existing server.
+ *
+ * Attach a task to an already existing server.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_attach_thread (
@@ -82,9 +84,9 @@
 
 /**
- *  @brief rtems cbs detach thread
- *
- *  Detach from the CBS Server.
- *
- *  @return status code.
+ * @brief Detach from the CBS server.
+ *
+ * Detach from the CBS Server.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_detach_thread (
@@ -97,9 +99,9 @@
 
 /**
- *  @brief rtems cbs destroy server
- *
- *  Detach all tasks from a server and destroy it.
- *
- *  @return status code.
+ * @brief Detach all tasks from a server and destroy it.
+ *
+ * Detach all tasks from a server and destroy it.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_destroy_server (
@@ -111,10 +113,10 @@
 
 /**
- *  @brief rtems cbs get server id
- *
- *  Get a thread server id, or RTEMS_CBS_E_NOT_FOUND if it is not
- *  attached to any server.
- *
- *  @return status code.
+ * @brief Get CBS server id.
+ *
+ * Get a thread server id, or RTEMS_CBS_E_NOT_FOUND if it is not
+ * attached to any server.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_get_server_id (
@@ -127,9 +129,9 @@
 
 /**
- *  @brief rtems cbs get parameters
- *
- *  Retrieve CBS scheduling parameters.
- *
- *  @return status code.
+ * @brief Get CBS parameters.
+ *
+ * Retrieve CBS scheduling parameters.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_get_parameters (
@@ -142,9 +144,9 @@
 
 /**
- *  @brief rtems cbs set parameters
- *
- *  Change CBS scheduling parameters.
- *
- *  @return status code.
+ * @brief Set CBS parameters.
+ *
+ * Change CBS scheduling parameters.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_set_parameters (
@@ -157,9 +159,9 @@
 
 /**
- *  @brief rtems cbs get execution time
- *
- *  Retrieve time info relative to the current server.
- *
- *  @return status code.
+ * @brief Get the CBS get execution time.
+ *
+ * Retrieve time info relative to the current server.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_get_execution_time (
@@ -173,9 +175,9 @@
 
 /**
- *  @brief rtems cbs get remaining budget
- *
- *  Retrieve remaining budget for the current server instance.
- *
- *  @return status code.
+ * @brief Get the remaining CBS budget.
+ *
+ * Retrieve remaining budget for the current server instance.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_get_remaining_budget (
@@ -188,10 +190,10 @@
 
 /**
- *  @brief rtems cbs get approved budget
- *
- *  Retrieve the budget that has been approved for the subsequent
- *  server instances.
- *
- *  @return status code.
+ * @brief Get the approved CBS budget.
+ *
+ * Retrieve the budget that has been approved for the subsequent
+ * server instances.
+ *
+ * @return status code.
  */
 RTEMS_INLINE_ROUTINE int rtems_cbs_get_approved_budget (
